org.apache.torque

## Class TorqueInstanceTest

- java.lang.Object
- - org.apache.torque.BaseTestCase
  - - org.apache.torque.TorqueInstanceTest

-     public class TorqueInstanceTest
      extends BaseTestCase

  Tests the TorqueInstance Class.
  Version:
    $Id: TorqueInstanceTest.java 1850726 2019-01-08 10:56:07Z gk $
  Author:
    Thomas Fischer

- - ### Field Summary

    - ### Fields inherited from class org.apache.torque.BaseTestCase

      `CONFIG_FILE, database, databaseMap, databaseMysql, databaseOracle, databasePostgresql, integerColumnMap, stringColumnMap, stringColumnMap2, stringColumnMap3, tableMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TorqueInstanceTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testDatabases()` Tests whether the databaseInfo objects are filled correctly.
    `void` | `testDefaultDataSourceFactory()` Checks whether a DataSourceFactory with the name `DEFAULT_NAME` is defined.
    `void` | `testExternalAdapter()` Tests whether an external adapter is loaded correctly.
    `void` | `testSchemata()` Tests whether the schema information in the databases is filled correctly.
    `void` | `testShutdown()`

    - ### Methods inherited from class org.apache.torque.BaseTestCase

      `setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TorqueInstanceTest

          public TorqueInstanceTest()

  - ### Method Detail

    - #### testExternalAdapter

          @Test
          public void testExternalAdapter()
                                          throws Exception

      Tests whether an external adapter is loaded correctly.
      Throws:
        `Exception` - if an error occurs during the Test.

    - #### testDefaultDataSourceFactory

          @Test
          public void testDefaultDataSourceFactory()
                                                   throws Exception

      Checks whether a DataSourceFactory with the name `DEFAULT_NAME` is defined. (TRQS 322)
      Throws:
        `Exception` - if an error occurs during the Test.

    - #### testDatabases

          @Test
          public void testDatabases()
                                    throws Exception

      Tests whether the databaseInfo objects are filled correctly.
      Throws:
        `Exception` - if an error occurs during the Test.

    - #### testSchemata

          @Test
          public void testSchemata()
                                   throws Exception

      Tests whether the schema information in the databases is filled correctly.
      Throws:
        `Exception`

    - #### testShutdown

          @Test
          public void testShutdown()
                                   throws Exception

      Throws:
        `Exception`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.